Summary: Graphical predictive text entry system
Name: dasher
Version: 3.2.18
Release: 1mdk
License: GPL
Group: Accessibility
URL: http://www.infer-ence.phy.cam.ac.uk/dasher/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: expat-devel
BuildRequires: libglade2.0-devel
BuildRequires: libgnomeui2-devel
BuildRequires: libwnck-devel >= 2.10.0
BuildRequires: gnome-speech-devel
BuildRequires: at-spi-devel
BuildRequires: scrollkeeper
BuildRequires: perl-XML-Parser
BuildRequires: ImageMagick
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description 
Dasher is an information-efficient text-entry interface, driven by natural 
continuous pointing gestures. Dasher is a  competitive  text-entry
system wherever a full-size keyboard cannot be used.

%prep
%setup -q

%build

%configure2_5x 

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %{name} --with-gnome

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
	needs="X11" \
	section="More Applications/Accessibility" \
	title="Dasher" \
	longtitle="Predictive text entry system" \
	command="%{_bindir}/dasher" \
	icon="dasher.png" \
	startup_notify="true"
EOF
mkdir -p %buildroot%_miconsdir
install -m 644 -D Data/%name.png %buildroot%_liconsdir/%name.png
convert -scale 32 Data/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16 Data/%name.png %buildroot%_miconsdir/%name.png


%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{update_menus}

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS ChangeLog
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/dasher
%{_menudir}/*
%{_mandir}/man1/*
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png
%{_datadir}/omf/%{name}

%changelog
* Mon Sep 05 2005 Götz Waschk <waschk@mandriva.org> 3.2.18-1mdk
- New release 3.2.18

* Sun Aug 28 2005 Götz Waschk <waschk@mandriva.org> 3.2.17-1mdk
- New release 3.2.17

* Tue Aug 23 2005 Gtz Waschk <waschk@mandriva.org> 3.2.16-1mdk
- fix icon
- replace prereq
- New release 3.2.16

* Mon May 09 2005 Frederic Crozat <fcrozat@mandriva.com> 3.2.15-3mdk 
- Remove patch0 (not needed with libwnck 2.10.x)

* Mon Apr 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.15-2mdk 
- fix build (Mdk bug #15367)
- Patch0 (CVS): use old libwnck API 

* Wed Mar 09 2005 Götz Waschk <waschk@linux-mandrake.com> 3.2.15-1mdk
- New release 3.2.15

* Thu Feb  3 2005 Gtz Waschk <waschk@linux-mandrake.com> 3.2.13-2mdk
- fix buildrequires

* Sun Jan 30 2005 Goetz Waschk <waschk@linux-mandrake.com> 3.2.13-1mdk
- New release 3.2.13

* Wed Jan 12 2005 Goetz Waschk <waschk@linux-mandrake.com> 3.2.12-1mdk
- New release 3.2.12

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.11-3mdk 
- Rebuild with latest howl

* Sun Nov 21 2004 Abel Cheung <deaddog@mandrake.org> 3.2.11-2mdk
- Fix BuildRequires

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.11-1mdk
- New release 3.2.11

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.10-3mdk
- Fix menu

* Fri Jul 23 2004 Michael Scherer <misc@mandrake.org> 3.2.10-2mdk 
- rebuild with new gcc

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.10-1mdk
- New release 3.2.10

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.9-1mdk
- New release 3.2.9

* Thu Feb 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.3-1mdk
- Release 3.2.3

* Thu Jan 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.2-1mdk
- Release 3.2.2

* Tue Jan 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.1-2mdk
- Add documentation
- enforce gnome-speech dependency

* Fri Dec 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2.1-1mdk
- First Mandrake package
